Skip to Content
homemade
Dashboard

Create a VM

POST
/api/vms

Creates a VM from a project's latest build and starts it. The answer comes at once with the VM in queued or booting; poll GET /api/vms/{vmId} until state is running.

Authorization

apiKey
headerAuthorizationBearer <hmk_…>

An API key from the dashboard or homemade api-key create.

Request Body

application/json
  1. body
branch?string
Length1 <= length <= 250
Default"main"
keepServicesRunning?boolean
name?string
Lengthlength <= 50
parameterValues?
projectId*string
region?string
Value in"eu""us"
size?string
Value in"nano""tiny""small""medium""large"
ticket?

Response Body

The VM was created and is starting.

application/json
  1. response
vm*
Example Request
curl -X POST 'https://api.homemade.dev/api/vms' \  -H 'Content-Type: application/json' \  -d '{  "projectId": "string"}'
Example Response
{  "vm": {    "branch": "string",    "createdAt": "2019-08-24T14:15:22Z",    "diskGb": 0,    "forkParentVmId": "string",    "id": "string",    "isPreview": true,    "keepServicesRunning": true,    "linearIssueIdentifier": "string",    "linearIssueUrl": "string",    "name": "string",    "prNumber": 0,    "projectId": "string",    "ramMb": 0,    "region": "eu",    "size": "string",    "sleepAfterMinutes": 0,    "slug": "string",    "state": "queued",    "templateId": "string",    "ticketProvider": "linear",    "urls": {      "property1": "string",      "property2": "string"    },    "vcpu": 0  }}